# norootforbuild
%define name      xine-ui
%define version   0.99.5cvs
%define release   20081221.pm.1343

%define major     1
%define libname   libxine%{major}
%define libvers   1

%define skindir    %{_datadir}/xine/skins
%define deskdir    %{_datadir}/xine/desktop

%define ginstall install -c

Name:           %{name}
Summary:        A Free Audio/Video Player.
Summary(cs):    Volnì ¹iøitelný audio/video pøehrávaè
Summary(de):    Ein freies Audio- und Video-Abspielprogramm
Version:        %{version}
Release:        20081222.40
License:        GPL
Group:          Productivity/Multimedia/Video/Players
URL:            http://xinehq.de

Source0:        xine-ui-cvs.tar.bz2

Patch0:         xine-ui-x86-64.diff
Requires:       %{libname} >= %{libvers}
Requires:       openssl >= 0.9.6
Requires:       curl >= 7.10
Requires:       zlib
Requires:       readline
Requires:       fontconfig
Requires:       freetype2
Requires:       libcaca0
Requires:       libpng
Requires:       ncurses
%if 0%{?suse_version} >= 920
BuildRequires:  xorg-x11-libs
%else
Requires:       XFree86-libs
%endif
BuildRequires:  %{libname} >= %{libvers}
BuildRequires:  %{libname}-devel >= %{libvers}
BuildRequires:  libcaca0
BuildRequires:  libcaca-devel
BuildRequires:  curl-devel >= 7.10
BuildRequires:  libpng
BuildRequires:  libpng-devel
BuildRequires:  freetype2
BuildRequires:  freetype2-devel
BuildRequires:  update-desktop-files
BuildRequires:  libcaca-devel
BuildRequires:  readline-devel
BuildRequires:  slang
BuildRequires:  slang-devel
BuildRequires:  pkgconfig
BuildRequires:  gcc
BuildRequires:  ncurses-devel
BuildRequires:  lirc
%ifarch i386 i486 i586 i686 i786 i868 i986 k6 k7 athlon x86_64 amd64 ia32e
%if 0%{?suse_version} <= 1100
BuildRequires:  libnvtv
BuildRequires:  libnvtv-devel
%endif
%endif
%if 0%{?suse_version} >= 920
BuildRequires:  xorg-x11-devel
%else
BuildRequires:  XFree86-devel
%endif
BuildRoot:      %{_tmppath}/%{name}-buildroot

%description
xine is a fully-featured free audio/video player for unix-like systems which
uses libxine for audio/video decoding and playback. For more informations on
what formats are supported, please refer to the libxine documentation.

%description -l cs
xine je velmi atraktivní volnì ¹iøitelný audio/video pøehrávaè pro unixovské
systémy, který pou¾ívá libxine pro dekódování zvuku a videa a pøehrávání.
Více informací o tom, jaké formáty jsou podporovány získáte v dokumentaci
od libxine.

%description -l de
xine ist ein freies Audio- und Video-Abspielprogramm für unixartige Systeme
mit umfassenden Funktionen. Zur Audio- und Videodekodierung und Wiedergabe
werden die xine-Bibliotheken aus libxine verwendet. Weitere Informationen
über die unterstützten Formate entnehmen Sie in der Dokumentation zu libxine.

%debug_package

%prep
%setup -n %{name}
%ifarch x86_64
%patch0 -p1
%endif

%build
export CFLAGS="${RPM_OPT_FLAGS}"
export XINE_DOCPATH="%{_docdir}/xine-ui"

if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
fi

#
# currently we do not use %%configure as it seems to cause trouble with
# certain automake produced configure scripts - depending on automake version.
#
./configure --build=%{_target_platform} --prefix=%{_prefix} \
	    --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} \
	    --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
	    --datadir=%{_datadir} --includedir=%{_includedir} \
	    --libdir=%{_libdir} --libexecdir=%{_libexecdir} \
	    --localstatedir=%{_localstatedir} \
	    --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} \
	    --infodir=%{_infodir} --enable-vdr-keys

%{__make} %{?jobs:-j%{jobs}}

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%makeinstall
%{__mkdir_p} ${RPM_BUILD_ROOT}/%{_datadir}/applications/
%if 0%{?suse_version} > 820
%suse_update_desktop_file -i xine AudioVideo Player Video
%else
%{__install} -c -m644 ${RPM_BUILD_ROOT}/%{_datadir}/xine/desktop/xine.desktop ${RPM_BUILD_ROOT}/%{_datadir}/applications/
%endif
%{__install} -m 644 misc/desktops/xine.wmconfig %{?buildroot:%{buildroot}}%{deskdir}/
%{__rm} -rf ${RPM_BUILD_ROOT}/%{deskdir}

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc %{_docdir}/*
%dir %{_datadir}/doc/xitk
%doc %{_datadir}/doc/xitk/*
%{_bindir}/*
%dir %{skindir}
%{skindir}/*
%{_datadir}/pixmaps/*
%dir %{_datadir}/xine/visuals
%{_datadir}/xine/visuals/*
%dir %{_datadir}/xine/oxine
%{_datadir}/xine/oxine/*
%{_datadir}/icons/hicolor/*/apps/xine.png
%{_datadir}/applications/xine.desktop
%{_datadir}/mime/packages/xine-ui.xml
%lang(de) %{_mandir}/de/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(es) %{_mandir}/es/man1/*
%dir %{_mandir}/pl
%dir %{_mandir}/pl/man1
%lang(pl) %{_mandir}/pl/man1/*
%{_mandir}/man1/*
%{_datadir}/locale/*/*/*

%changelog
* Wed Oct 03 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build
